Module | Sequel::JDBC::Postgres::AdapterMethods
In: | lib/sequel/adapters/jdbc/postgresql.rb

Methods to add to the JDBC adapter/connection to allow it to work with the shared PostgreSQL code.

### Methods

execute

### Included Modules

Sequel::Postgres::AdapterMethods

### Public Instance methods

execute(sql, args=nil) {|rows| ...}

Give the JDBC adapter a direct execute method, which creates a statement with the given sql and executes it.

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 17
    17:         def execute(sql, args=nil)
    18:           method = block_given? ? :executeQuery : :execute
    19:           @db.send(:statement, self) do |stmt|
    20:             rows = @db.log_yield(sql){stmt.send(method, sql)}
    21:             yield(rows) if block_given?
    22:           end
    23:         end

[Validate]